{-# LANGUAGE TypeOperators #-}

module Gargantext.API.Routes.Named.Context (
  -- * Routes types
    ContextAPI(..)
  ) where

import GHC.Generics
import Gargantext.Database.Admin.Types.Node
import Servant

data ContextAPI a mode = ContextAPI
  { getNodeEp :: mode :- Get '[JSON] (Node a)
  } deriving Generic
